Project

General

Profile

Actions

Bug #7606

closed

IP4R extension is not regularly updated

Added by Pavel Kácha almost 2 years ago. Updated over 1 year ago.

Status:
Closed
Priority:
Normal
Category:
Development - Database
Target version:
Start date:
10/13/2022
Due date:
% Done:

100%

Estimated time:
To be discussed:

Description

Extension versions can change and be updated, however for this to be in effect it needs "alter extension update..."

Sensible time might be during database upgrade, so we should update Upgrading docs to reflect this.

Actions #1

Updated by Rajmund Hruška over 1 year ago

  • Status changed from New to In Progress
  • Assignee set to Rajmund Hruška
  • Target version changed from Backlog to 2.11
  • To be discussed changed from No to Yes

So Pavel Kácha, you want to add the command to Upgrading PostgreSQL from 13.x to 14.x section of the documentation? The other place I can think of is Upgrading Mentat system, but that doesn't seem like the best place to me. https://alchemist.cesnet.cz/mentat/doc/development/html/_doclib/upgrading.html#upgrading-postgresql-from-13-x-to-14-x

Also, the newest version of IP4R is currently 2.4.1. We have 2.2 on mentat-alt and mentat-hub. But I have version 2.4 on my local machine, so the upgrade shouldn't break anything.

Actions #2

Updated by Rajmund Hruška over 1 year ago

  • Status changed from In Progress to Resolved
  • % Done changed from 0 to 100
  • To be discussed deleted (Yes)

I have updated the aforementioned section of the documentation.

I will update IP4R when upgrading Mentat.

Actions #3

Updated by Rajmund Hruška over 1 year ago

Rajmund Hruška wrote in #note-2:

I have updated the aforementioned section of the documentation.

I will update IP4R when upgrading Mentat.

Both mentat-alt and mentat-hub actually use the newest version of ip4r. I just checked a wrong database.

Actions #4

Updated by Rajmund Hruška over 1 year ago

  • Status changed from Resolved to Closed
Actions

Also available in: Atom PDF